Classes | Namespaces | Macros
RVNGString.cpp File Reference
`#include "librevenge_internal.h"`
`#include <cassert>`
`#include <cstring>`
`#include <string>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <utility>`

## Classes
class | librevenge::RVNGStringImpl

## Namespaces
| librevenge

## Macros
#define | FIRST_BUF_SIZE 128
#define | librvng_utf8_next_char(p) (char const *)((p) + librvng_utf8_skip_data[*((unsigned char const *)p)])

## Macro Definition Documentation

## ◆ FIRST_BUF_SIZE

#define FIRST_BUF_SIZE 128

Referenced by librevenge::RVNGString::RVNGString(), and librevenge::RVNGString::sprintf().

## ◆ librvng_utf8_next_char

#define librvng_utf8_next_char | ( |  | p | ) | (char const *)((p) + librvng_utf8_skip_data[*((unsigned char const *)p)])

Referenced by librevenge::RVNGStringImpl::appendEscapedXML(), librevenge::RVNGString::Iter::next(), and librevenge::RVNGString::Iter::operator()().